#pragma once
#include "MyFrame.h"
#include "mof/Texture.h"
#include "ItemOperationMenu.h"

namespace et{

	class ItemMenu : public MyFrame
	{
		mof::Window* addSelectableTextItem(mof::Window* pOwner , std::vector<mof::Window*>& selectables , TCHAR* text , int size);
		
		mof::SelectionModel* m_pSelector;
		mof::TextureManager* m_pTextureManager;
	
		std::list<et::ItemData>& m_itemDataList;
		et::ItemOperatorFactory* m_pNextMenuFactory;
	public:
		ItemMenu(mof::TextureManager* pTextureManager , std::list<et::ItemData>& itemDataList , et::ItemOperatorFactory* pNextMenuFactory);
		virtual ~ItemMenu(void);
		virtual void setVisible(bool visible);
		virtual mof::SelectionModel* getSelectionModel(){return m_pSelector;}
		virtual MyFrame* performAction();
	};


};